Bug 213250 - [NEW PORT] comms/sunxi-tools: collection of tools for hacking on Allwinner ARM boards
Summary: [NEW PORT] comms/sunxi-tools: collection of tools for hacking on Allwinner AR...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-06 17:12 UTC by Emmanuel Vadot
Modified: 2017-07-25 15:54 UTC (History)
0 users

See Also:


Attachments
comms-sunxi-tools (1.64 KB, patch)
2016-10-06 17:12 UTC, Emmanuel Vadot
no flags Details | Diff
bump to v1.4 (1.63 KB, patch)
2017-06-14 08:25 UTC, Emmanuel Vadot
no flags Details | Diff
sunxi-tools v1.4.2 (3.06 KB, patch)
2017-07-23 18:41 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2016-10-06 17:12:45 UTC
Created attachment 175473 [details]
comms-sunxi-tools

sunxi-tools are a collection of tools for hacking on Allwinner ARM boards.

portlint: OK
poudriere: OK
Comment 1 Emmanuel Vadot freebsd_committer 2016-10-07 10:31:26 UTC
Thanks Mark I'll be more precise on the subject for my later ports.

Note: I didn't use the latest stable version because it's quite old and now my patch have been upstreamed for FreeBSD support.
Comment 2 Dmitry Marakasov freebsd_committer 2017-01-30 11:49:41 UTC
- There were newer official releases, should we maybe switch to some of them?
- The port misses USES=pkgconfig
- Please add LICENSE_FILE
Comment 3 Dmitry Marakasov freebsd_committer 2017-06-05 19:09:08 UTC
Ping?
Comment 4 Emmanuel Vadot freebsd_committer 2017-06-07 18:18:18 UTC
Sorry mail got lost somewhere,
I'll look at updating the PR to use the latest version this week.
Comment 5 Emmanuel Vadot freebsd_committer 2017-06-14 08:25:43 UTC
Created attachment 183474 [details]
bump to v1.4

Use release v1.4
Comment 6 Dmitry Marakasov freebsd_committer 2017-06-16 09:17:11 UTC
(In reply to Emmanuel Vadot from comment #5)
> Created attachment 183474 [details]
> bump to v1.4
> 
> Use release v1.4

It still does not build, please test properly before submission.

- Please send new port as .shar instead of a patch
- It still misses USES=pkgconfig
- PORTVERSION is incorrect, "v" belongs to DISTVERSIONPREFIX
- It'd be better to use pkg-plist instead of PLIST_FILES.
- Makefile doesn't respect CFLAGS, needs e.g.

-CFLAGS = -g -O0 -Wall -Wextra $(EXTRA_CFLAGS)
+CFLAGS += -Wall -Wextra $(EXTRA_CFLAGS)

- Binaries are not stripped, may as well patch Makefile to use INSTALL_PROGRAM to install binaries
- Version 1.4.2 is available
Comment 7 Emmanuel Vadot freebsd_committer 2017-06-25 06:40:33 UTC
I have a good patch for 1.4 but still fighting with 1.4.2 as it introduce arm code too, I'll look at it again soon.
Comment 8 Emmanuel Vadot freebsd_committer 2017-07-23 18:41:13 UTC
Created attachment 184639 [details]
sunxi-tools v1.4.2

Update to 1.4.2
Poudriere: ok
portlint: ok
Comment 9 Dmitry Marakasov freebsd_committer 2017-07-25 15:53:16 UTC
Committed with minor changes, thank you!
Comment 10 commit-hook freebsd_committer 2017-07-25 15:54:12 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jul 25 15:53:13 UTC 2017
New revision: 446592
URL: https://svnweb.freebsd.org/changeset/ports/446592

Log:
  Tools to help hacking Allwinner A10 (aka sun4i) based devices and possibly
  it's successors, that's why the 'x' in the package name.

  WWW: https://github.com/linux-sunxi/sunxi-tools

  PR:		213250
  Submitted by:	manu

Changes:
  head/comms/Makefile
  head/comms/sunxi-tools/
  head/comms/sunxi-tools/Makefile
  head/comms/sunxi-tools/distinfo
  head/comms/sunxi-tools/files/
  head/comms/sunxi-tools/files/patch-Makefile
  head/comms/sunxi-tools/pkg-descr
  head/comms/sunxi-tools/pkg-plist